/// <reference types="jest" />
import SpyInstance = jest.SpyInstance;
export declare const setActionEnv: (rootDir: string) => object;
export declare const testEnv: (rootDir?: string | undefined) => void;
export declare const testChildProcess: () => void;
export declare const setChildProcessParams: (params: {
    stdout?: string | ((command: string) => string) | undefined;
    stderr?: string | ((command: string) => string) | undefined;
    error?: Error | ((command: string) => Error) | undefined;
}) => void;
export declare const testFs: (defaultExists?: boolean) => (boolean: any) => void;
export declare const spyOnStdout: () => SpyInstance<any, any>;
export declare const stdoutCalledWith: (spyOnMock: SpyInstance<any, any>, messages: string[]) => void;
export declare const stdoutContains: (spyOnMock: SpyInstance<any, any>, messages: string[]) => void;
export declare const spyOnExec: () => SpyInstance<any, any>;
export declare const execCalledWith: (spyOnMock: SpyInstance<any, any>, messages: (string | any[])[]) => void;
export declare const execContains: (spyOnMock: SpyInstance<any, any>, messages: string[]) => void;
export declare const testProperties: (object: any, checks: {
    [key: string]: any;
}) => void;
